Summary:       Enables SQLite to support spatial data
Name:          libspatialite
Version:       5.1.0
Release:       1%{?dist}
License:       MPL-1.1 OR GPL-2.0-or-later OR LGPL-2.0-or-later
URL:           https://www.gaia-gis.it/fossil/libspatialite
Source0:       http://www.gaia-gis.it/gaia-sins/libspatialite-sources/libspatialite-%{version}.tar.gz
# move the private libs to Libs.private in pkg-config file
Patch3000:     libspatialite_pkgconfig.patch
# find geos by pkgconfig
Patch3001:     libspatialite_geos.patch

BuildRequires: make gcc autoconf automake libtool
BuildRequires: freexl-devel geos-devel >= 3.7.1 librttopo-devel libxml2-devel
BuildRequires: minizip-devel zlib-devel proj-devel >= 6.2.0 sqlite-devel


%description
SpatiaLite is an open source library intended to extend the basic SQLite core in order to get 
a full fledged Spatial DBMS, really simple and lightweight, but mostly OGC-SFS compliant.


%package devel
Summary:	Development libraries and headers for SpatiaLite
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1


%build
autoreconf -ifv

mkdir build_native
cp -a test build_native

pushd build_native
%global _configure ../configure
%configure \
    --disable-static \
    --enable-geocallbacks   \
    --enable-rttopo \
    --enable-gcp
%make_build
popd


%install
%make_install -C build_native

find %{buildroot} -type f -name "*.la" -delete


%check
%make_build check -C build_native || :


%files
%license COPYING
%doc AUTHORS
%{_libdir}/%{name}.so.8*
%{_libdir}/mod_spatialite.so.8*
# use symlink to load extensions
# see https://groups.google.com/forum/#!topic/spatialite-users/zkGP-gPByXk
%{_libdir}/mod_spatialite.so

%files devel
%doc examples/*.c
%{_includedir}/spatialite.h
%{_includedir}/spatialite
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/spatialite.pc

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 5.1.0-1
- Upgrade to version 5.1.0

* Thu Dec 28 2023 Rebuild Robot <rebot@opencloudos.org> - 5.0.1-4
- Rebuilt for minizip-ng

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Wang Guodong <gordonwwang@tencent.com> - 5.0.1-1
- initial build
